<?php
/**
 * @package Home Construction Company
 * @subpackage home-construction-company
 * @since home-construction-company 1.0
 * Setup the WordPress core custom header feature.
 *
 * @uses home_construction_company_header_style()
*/

function home_construction_company_custom_header_setup() {

	add_theme_support( 'custom-header', apply_filters( 'home_construction_company_custom_header_args', array(
		'default-text-color' => 'fff',
		'header-text' 	     =>	false,
		'width'              => 1400,
		'height'             => 70,
		'flex-height'        => true,
	    'flex-width'         => true,
		'wp-head-callback'   => 'home_construction_company_header_style',
	) ) );

}

add_action( 'after_setup_theme', 'home_construction_company_custom_header_setup' );

if ( ! function_exists( 'home_construction_company_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see home_construction_company_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'home_construction_company_header_style' );
function home_construction_company_header_style() {
	//Check if user has defined any header image.
	if ( get_header_image() ) :
	$home_construction_company_custom_css = "
        #header, .page-template-custom-frontpage .header-box{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
			background-size: 100% 100%;
		}		
		";
	   	wp_add_inline_style( 'home-construction-company-basic-style', $home_construction_company_custom_css );
	endif;
}
endif; // home_construction_company_header_style
